En

GitLab官网安全更新(2020-04-14)

来源:GitLab官网 发布日期:2020-04-14 阅读次数:1480 评论:0

基本信息

发布日期:2020-04-14(官方当地时间)

更新类型:安全更新

更新版本:12.9.3;12.8.9;12.7.9

感知时间:2020-04-15 09:10:03

风险等级:严重

情报贡献:TSRC

更新标题

GitLab Critical Security Release: 12.9.3, 12.8.9, and 12.7.9

更新详情

Today we are releasing versions 12.9.3, 12.8.9, and 12.7.9 for GitLab Community Edition (CE) and Enterprise Edition (EE).

These versions contain important security fixes, and we strongly recommend that all GitLab installations be upgraded to one of these versions immediately.



The vulnerability details will be made public on our issue tracker in approximately 30 days.

Please read on for more information regarding this release.

NuGet Package and File Disclosure through GitLab Workhorse

An internal investigation revealed that a particular header could be used to override restriction and results in GitLab Workhorse disclosing NuGet packages and files in the /tmp directory. The issue is now mitigated in the latest release and is assigned CVE-2020-11505.

Thanks to @vakzz for also responsibly reporting this vulnerability to us.

Versions Affected

Affects GitLab EE 12.8.0 and later.

Remediation

We strongly recommend that all installations running an affected version above are upgraded to the latest version as soon as possible.

Job Artifact Uploads and File Disclosure through GitLab Workhorse

An internal investigation revealed that a particular header could be used to override restrictions and results in GitLab Workhorse disclosing job artifact uploads and files in the /tmp directory. The issue is now mitigated in the latest release and is assigned CVE-2020-11506.

Thanks to @manassehzhou for also responsibly reporting this vulnerability to us.

Versions Affected

Affects GitLab EE/CE 10.7.0 and later.

Remediation

We strongly recommend that all installations running an affected version above are upgraded to the latest version as soon as possible.

Incorrect membership following group removal

An internal investigation revealed that members of a group could still have access after a group is deleted. The issue is now mitigated in the latest release and is assigned CVE-2020-11649.

Versions Affected

Affects GitLab EE/CE 8.15 and later.

Remediation

We strongly recommend that all installations running an affected version above are upgraded to the latest version as soon as possible.

Logging of Praefect tokens

An internal investigation revealed that Praefect tokens were logged by Gitaly. The issue is now fixed.

Versions Affected

Affects GitLab Omnibus 12.3 and later.

Remediation

We strongly recommend that all installations running an affected version above are upgraded to the latest version as soon as possible.

Update Rack dependency

The Rack dependency and its related gems have been upgraded to 2.0.9. This upgrade includes a security fix for CVE-2019-16782.

Versions Affected

Affects all previous versions of GitLab CE/EE.

Remediation

We strongly recommend that all installations running an affected version above are upgraded to the latest version as soon as possible.

Update OpenSSL dependency

The OpenSSL dependency has been upgraded from 1.1.d to 1.1.1f to include those improvements.

Versions Affected

Affects all previous versions of GitLab Omnibus.

Remediation

We strongly recommend that all installations running an affected version above are upgraded to the latest version as soon as possible.

Updating

To update GitLab, see the Update page.

Receive Security Release Notifications

To receive security release blog notifications delivered to your inbox, visit our contact us page.
To receive security release blog notifications via RSS, subscribe to our RSS feed.

软件描述

GitLab 是一个用于仓库管理系统的开源项目,使用Git作为代码管理工具,并在此基础上搭建起来的web服务。安装方法是参考GitLab在GitHub上的Wiki页面。

TSRC分析

暂无

业界资讯

暂无

评论

提交评论 您输入的评论有误,请重新输入